Bug 1661289 - hammer host list --thin removed in Red Hat Satellite 6.3
Summary: hammer host list --thin removed in Red Hat Satellite 6.3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer
Version: 6.3.0
Hardware: x86_64
OS: Linux
high
unspecified vote
Target Milestone: 6.4.2
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-20 17:39 UTC by Mike McCune
Modified: 2019-10-30 19:28 UTC (History)
10 users (show)

Fixed In Version: tfm-rubygem-hammer_cli_foreman-0.13.2.3-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1560978
Environment:
Last Closed: 2019-02-13 19:08:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 25349 None None None 2019-01-10 11:00:19 UTC
Red Hat Product Errata RHBA-2019:0345 None None None 2019-02-13 19:08:25 UTC

Comment 5 jcallaha 2019-01-24 14:14:52 UTC
Verified in Satellite 6.4.2 Snap 1

The --thin option is back in place.

-bash-4.2# hammer -u admin -p changeme host list --thin true --organization-id 1
---|--------|------------------|------------|----|-----|--------------|----------------------
ID | NAME   | OPERATING SYSTEM | HOST GROUP | IP | MAC | CONTENT VIEW | LIFECYCLE ENVIRONMENT
---|--------|------------------|------------|----|-----|--------------|----------------------
2  | host1  |                  |            |    |     |              |                      
10 | host10 |                  |            |    |     |              |                      
12 | host11 |                  |            |    |     |              |                      
13 | host12 |                  |            |    |     |              |                      
15 | host13 |                  |            |    |     |              |                      
14 | host14 |                  |            |    |     |              |                      
16 | host15 |                  |            |    |     |              |                      
17 | host16 |                  |            |    |     |              |                      
18 | host17 |                  |            |    |     |              |                      
19 | host18 |                  |            |    |     |              |                      
21 | host19 |                  |            |    |     |              |                      
3  | host2  |                  |            |    |     |              |                      
20 | host20 |                  |            |    |     |              |                      
22 | host21 |                  |            |    |     |              |                      
23 | host22 |                  |            |    |     |              |                      
24 | host23 |                  |            |    |     |              |                      
25 | host24 |                  |            |    |     |              |                      
26 | host25 |                  |            |    |     |              |                      
27 | host26 |                  |            |    |     |              |                      
29 | host27 |                  |            |    |     |              |                      
28 | host28 |                  |            |    |     |              |                      
30 | host29 |                  |            |    |     |              |                      
4  | host3  |                  |            |    |     |              |                      
31 | host30 |                  |            |    |     |              |                      
5  | host4  |                  |            |    |     |              |                      
6  | host5  |                  |            |    |     |              |                      
7  | host6  |                  |            |    |     |              |                      
9  | host7  |                  |            |    |     |              |                      
8  | host8  |                  |            |    |     |              |                      
11 | host9  |                  |            |    |     |              |                      
---|--------|------------------|------------|----|-----|--------------|----------------------

-bash-4.2# hammer -u admin -p changeme host list --organization-id 1
---|--------|------------------|------------|----|-----|---------------------------|----------------------
ID | NAME   | OPERATING SYSTEM | HOST GROUP | IP | MAC | CONTENT VIEW              | LIFECYCLE ENVIRONMENT
---|--------|------------------|------------|----|-----|---------------------------|----------------------
2  | host1  | RedHat 7.2       |            |    |     | Default Organization View | Library              
10 | host10 | RedHat 7.2       |            |    |     | Default Organization View | Library              
12 | host11 | RedHat 7.2       |            |    |     | Default Organization View | Library              
13 | host12 | RedHat 7.2       |            |    |     | Default Organization View | Library              
15 | host13 | RedHat 7.2       |            |    |     | Default Organization View | Library              
14 | host14 | RedHat 7.2       |            |    |     | Default Organization View | Library              
16 | host15 | RedHat 7.2       |            |    |     | Default Organization View | Library              
17 | host16 | RedHat 7.2       |            |    |     | Default Organization View | Library              
18 | host17 | RedHat 7.2       |            |    |     | Default Organization View | Library              
19 | host18 | RedHat 7.2       |            |    |     | Default Organization View | Library              
21 | host19 | RedHat 7.2       |            |    |     | Default Organization View | Library              
3  | host2  | RedHat 7.2       |            |    |     | Default Organization View | Library              
20 | host20 | RedHat 7.2       |            |    |     | Default Organization View | Library              
22 | host21 | RedHat 7.2       |            |    |     | Default Organization View | Library              
23 | host22 | RedHat 7.2       |            |    |     | Default Organization View | Library              
24 | host23 | RedHat 7.2       |            |    |     | Default Organization View | Library              
25 | host24 | RedHat 7.2       |            |    |     | Default Organization View | Library              
26 | host25 | RedHat 7.2       |            |    |     | Default Organization View | Library              
27 | host26 | RedHat 7.2       |            |    |     | Default Organization View | Library              
29 | host27 | RedHat 7.2       |            |    |     | Default Organization View | Library              
28 | host28 | RedHat 7.2       |            |    |     | Default Organization View | Library              
30 | host29 | RedHat 7.2       |            |    |     | Default Organization View | Library              
4  | host3  | RedHat 7.2       |            |    |     | Default Organization View | Library              
31 | host30 | RedHat 7.2       |            |    |     | Default Organization View | Library              
5  | host4  | RedHat 7.2       |            |    |     | Default Organization View | Library              
6  | host5  | RedHat 7.2       |            |    |     | Default Organization View | Library              
7  | host6  | RedHat 7.2       |            |    |     | Default Organization View | Library              
9  | host7  | RedHat 7.2       |            |    |     | Default Organization View | Library              
8  | host8  | RedHat 7.2       |            |    |     | Default Organization View | Library              
11 | host9  | RedHat 7.2       |            |    |     | Default Organization View | Library              
---|--------|------------------|------------|----|-----|---------------------------|----------------------

Comment 7 errata-xmlrpc 2019-02-13 19:08:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0345


Note You need to log in before you can comment on or make changes to this bug.